## offlineimap 2.0.4

=== Makefile ===
# Copyright (C) 2002 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

clean:
	-python2.2 setup.py clean --all
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.pyc"`
	-rm -f `find . -name "*.pygc"`
	-rm -f `find . -name "*.class"`
	-rm -f `find . -name "*.bak"`
	-rm -f `find . -name ".cache*"`

changelog:
	cvs2cl
	cvs commit ChangeLog
	rm ChangeLog.bak

## offlineimap 1.0.0

=== debian/changelog ===
offlineimap (1.0.0) unstable; urgency=low

  * Initial Release.  Closes: #150571.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Jun 2002 14:54:56 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: offlineimap
Section: mail
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python2.2 (>= 2.2.1-4)
Standards-Version: 3.5.2

Package: offlineimap
Architecture: all
Depends: python2.2
Description: IMAP/Maildir synchronization and reader support
 OfflineIMAP is a tool to simplify your e-mail reading.  With
 OfflimeIMAP, you can:
 .
 * Read the same mailbox from multiple computers, and have your
   changes (deletions, etc.) be automatically reflected on
   all computers
 .
 * Use various mail clients to read a single mail box
 .
 * Read mail while offline (on a laptop) and have all changes
   synchronized when you get connected again
 .
 * Read IMAP mail with mail readers that do not support IMAP
 .
 * Use SSL (secure connections) to read IMAP mail even if you reader
   doesn't support SSL
 .
 * Synchronize your mail using a completely safe and fault-tolerant
   algorithm.  (At least I think it is!)
 .
 In short, OfflineIMAP is a tool to let you read mail how YOU want to.

## offlineimap 1.0.3

=== debian/changelog ===
offlineimap (1.0.3) unstable; urgency=low

  * Fixed a bug when a message was deleted on the IMAP side and modified
    on the local side.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 24 Jun 2002 14:08:21 -0500

offlineimap (1.0.2) unstable; urgency=low

  * Made sure that LocalStatus does writing atomically.  If the program
    is interrupted during save(), there will always be a complete copy of
    either the old or the new data.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 24 Jun 2002 09:57:28 -0500

offlineimap (1.0.1) unstable; urgency=low

  * Fixed a bug with writing messages to some IMAP servers.  Turns
    out we need to issue CHECK between APPEND and SEARCH for some.
    Thanks to Donovan Lange for reporting this bug and helping track it
    down.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Jun 2002 22:03:12 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by John Goerzen

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

PYTHON=python2.2
PACKAGE=offlineimap


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#$(PYTHON) setup.py configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pygopherd.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	mv debian/$(PACKAGE)/usr/bin/$(PACKAGE).py \
		debian/$(PACKAGE)/usr/bin/$(PACKAGE)
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## offlineimap 1.0.4

=== debian/changelog ===
offlineimap (1.0.4) unstable; urgency=low

  * Deletion of more than one message has been optimized.  This could make
    deleting large numbers of messages far faster -- several orders of
    magnitude.
  * Moved more sleep code into ui layer.  Fancier sleep actions are now
    possible.  Better handling of Ctrl-C in TTY handler.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  2 Jul 2002 14:16:04 -0500

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  .
  * Read IMAP mail with mail readers that do not support IMAP
  .
- * Use SSL (secure connections) to read IMAP mail even if you reader
+ * Use SSL (secure connections) to read IMAP mail even if your reader
    doesn't support SSL
  .
  * Synchronize your mail using a completely safe and fault-tolerant

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	-$(PYTHON) setup.py clean --all
 
 	dh_clean

## offlineimap 2.0.0

=== debian/changelog ===
offlineimap (2.0.0) unstable; urgency=low

  * This code is now multithreaded.  New config file options control the
    behavior.  This can make synchronizing several times faster.
  * Fixed the STATUS call to be compatible with Exchange.
  * Added the ability to exclude folders.
  * If upgrading from 1.0.x, you will need to add maxsyncaccounts to the
    general section and maxconnections to each account sections.
    There is also a new folderfilter option.
    You can find examples of all of these in the new offlineimap.conf
    example file packaged with the distribution.
  * The Debian package now properly installs the example offlineimap.conf
    file.
  * There is a new mailing list available.  To join, send SUBSCRIBE
    to offlineimap-request@complete.org.  The posting address is
    offlineimap@complete.org.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  3 Jul 2002 19:21:32 -0500

## offlineimap 2.0.1

=== debian/changelog ===
offlineimap (2.0.1) unstable; urgency=low

  * Fixed a bug with not properly propogating foldersep changes.
    Now, local folders and status folders properly use the foldersep
    mechanism.  This corrects a problem with Exchange servers.
  * Wrote a major new thread montiring subsystem, defined a new
    ExitNotifyThread.  Handling of Ctrl-C now occurs within 1 second
    rather than after the whole program terminates.  Exceptions that
    occur in a thread are now caught by the main thread and marshalled
    over into the UI side of things for dispatch.  The entire program will
    now abort when one thread dies with an exception.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 Jul 2002 09:07:06 -0500

## offlineimap 2.0.2

=== debian/changelog ===
offlineimap (2.0.2) unstable; urgency=low

  * Added support for remotepassfile.  Closes: #151943.
  * Added support for preauth tunnels.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 Jul 2002 14:46:23 -0500

## offlineimap 2.0.3

=== debian/changelog ===
offlineimap (2.0.3) unstable; urgency=low

  * Added support for specifying references.  Closes: #151960.
  * Added -d command-line option to enable imaplib debugging.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 Jul 2002 20:39:29 -0500

## offlineimap 2.0.4

=== debian/changelog ===
offlineimap (2.0.4) unstable; urgency=low

  * Made OfflineIMAP at least rudimentarily compatible with read-only
    folders.  It will still fail if they get modified locally, though.
  * Flags are handled case-insensitively.  Closes: #151993.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  5 Jul 2002 09:10:29 -0500

=== debian/control ===
--- 
+++ 
@@ -29,4 +29,10 @@
  * Synchronize your mail using a completely safe and fault-tolerant
    algorithm.  (At least I think it is!)
  .
+ * Customize which mailboxes to synchronize with regular expressions
+   or lists.
+ .
+ * Synchronize your mail two to four times faster than with other tools
+   or other mail readers' internal IMAP support.
+ .
  In short, OfflineIMAP is a tool to let you read mail how YOU want to.

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-	-$(PYTHON) setup.py clean --all
 
 	dh_clean
 
@@ -74,7 +73,7 @@
 	dh_installdocs
 	mv debian/$(PACKAGE)/usr/bin/$(PACKAGE).py \
 		debian/$(PACKAGE)/usr/bin/$(PACKAGE)
-	dh_installexamples
+	dh_installexamples offlineimap.conf
 	dh_installmenu
 #	dh_installlogrotate
 #	dh_installemacsen

## offlineimap 2.0.5

=== debian/changelog ===
offlineimap (2.0.5) unstable; urgency=low

  * Fixed a folderfilter example.  Partially fixes #152079.
  * Added folderincludes capability.  Partially fixes #152079.
  * More fixes for read-only folders.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  5 Jul 2002 09:21:52 -0500

## offlineimap 2.0.6

=== debian/changelog ===
offlineimap (2.0.6) unstable; urgency=low

  * Added support for holdconnectionopen and keepalive.  This feature
    allows for an IMAP server connection(s) to be held open until
    the next sync process, permitting faster restart times.
  * Another try at read-only folder support.  This is nasty because I
    have no way to test it and imaplib's read-only support is weird.
  * Closing out old bug; fixed in 1.0.2.  Closes: #150803.
  * Optimized algorithm so that a SELECT is never issued for folders
    that contain no messages.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 Jul 2002 20:05:24 -0500

## offlineimap 2.0.7

=== debian/changelog ===
offlineimap (2.0.7) unstable; urgency=low

  * Fixed imaplib.py to work better with read-only folders.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 Jul 2002 20:24:21 -0500

## offlineimap 3.0.0

=== debian/changelog ===
offlineimap (3.0.0) unstable; urgency=low

  * Introduced a new graphical user interface written with Tkinter.
    It features a nice view of multi-threaded displays.
  * The TTY user interface now also displays thread names.
  * Program-wide, new threads are given descriptive names to aid in
    debugging and status messages.
  * Added new module offlineimap/ui/detect.py that is used to detect
    which user interface to select for a given session.  Its operation
    is governed by the ui config option and the -u command-line option.
  * Made IMAP folder addmessagesflags() resiliant to a server refusing
    to return a full set of new message flags.  Closes: #152587.
  * Completely rewrote documentation.  OfflineIMAP now has an
    exhaustive manpage, which is really a manual.  It is also shipped
    in plain text, HTML, PDF, and PostScript formats.
  * New command-line options:
    -1 to force no multi-threaded operation
    -u to force a particular UI
    -a to specify which accounts to sync
    -h to print help
    -c to specify an alternate config file
  * Added a workaround for UW IMAP problem wherein the server loses
    uidvalidity whenever a folder is emptied.  Now, the program
    will not consider it a problem if uidvalidity is lost when a folder
    and the local status cache are both completely empty, since we do
    not really need to preserve uidvalidity in that case anyway.
    Closes: #152079.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Jul 2002 22:35:42 -0500

offlineimap (2.0.8) unstable; urgency=low

  * Modified the IMAP folder to use SELECT rather than STATUS more often.
    Makes the code more robust; handles better with read-only folders;
    and runs faster, especially for non-threaded useres, where it
    may eliminate up to 2-3 commands per folder.
  * Made sure IMAP folder savemessage() does a select.  This was a possible
    bug.
  * Modified Maildir folder to unlink messages with T flag in
    cachemessagelist()
  * My own box now syncs in 3 seconds.
  * Optimized acquireconnection() to try to give a thread back the
    connection that it last used, if possible.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 9 Jul 2002 23:29:30 -0500

## offlineimap 3.0.1

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 #    You should have received a copy of the GNU General Public License
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+SHELL=/bin/bash
 
 clean:
 	-python2.2 setup.py clean --all
@@ -28,3 +29,9 @@
 	cvs2cl
 	cvs commit ChangeLog
 	rm ChangeLog.bak
+
+docs:
+	man -t -l offlineimap.1 > manual.ps
+	ps2pdf manual.ps
+	groff -Tascii -man offlineimap.1 | sed $$'s/.\b//g' > manual.txt
+	groff -Thtml -man offlineimap.1 > manual.html

=== debian/changelog ===
offlineimap (3.0.1) unstable; urgency=low

  * Detabified the source.
  * Added UI list to the manpage.
  * Added -o (run only once) option with patch sent in by Martijn Pieters.
  * Optimized folder/IMAP.py addmessagesflags() with new listjoin() in
    imaputil.  Now, send the server 1:5,7 instead of 1,2,3,4,5,7.
  * Made folder/Maildir.py/deletemessage() more tolerant if a message
    asked to be deleted already has been.
  * In Base.py/copymessageto(), no longer bother calling getmessage()
    unless a folder's storemessages() returns true.  This will also help
    with syncing to LocalStatus if the user deleted messages in the
    Maildir since the cachemessagelist() was called.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 12 Jul 2002 07:28:24 -0500

## offlineimap 3.0.2

=== .svn/wcprops/Makefile ===
K 25
svn:wc:ra_dav:version-url
V 51
/offlineimap/!svn/ver/134/offlineimap/head/Makefile
K 29
svn:wc:ra_dav:version-url-rev
V 3
134
END

=== debian/changelog ===
offlineimap (3.0.2) unstable; urgency=low

  * Fixed mailbox name recorder to use localfolder.getvisiblename() rather
    than remotefolder.getvisiblename()
  * Fixed remotepassfile option.  Closes: #153119.  Used 1-line patch from
    Tommi Virtanen.
  * Now handles cases of not being able to get UID for an uploaded message
    more gracefully.  This could occur if the server doesn't support
    SEARCH, can't find the message ID, or finds multiple message IDs.
    Closes: #153241.
  * Now source is in Subversion.  Make version.py log the Subversion
    revision number.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 15 Jul 2002 06:43:36 -0500

## offlineimap 3.0.3

=== Makefile ===
--- 
+++ 
@@ -24,11 +24,10 @@
 	-rm -f `find . -name "*.class"`
 	-rm -f `find . -name "*.bak"`
 	-rm -f `find . -name ".cache*"`
+	-find . -name auth -exec rm -vf {}/password {}/username \;
 
 changelog:
-	cvs2cl
-	cvs commit ChangeLog
-	rm ChangeLog.bak
+	svn log -v > ChangeLog
 
 docs:
 	man -t -l offlineimap.1 > manual.ps

=== .svn/wcprops/Makefile ===
K 25
svn:wc:ra_dav:version-url
V 51
/offlineimap/!svn/ver/134/offlineimap/head/Makefile
END

=== debian/changelog ===
offlineimap (3.0.3) unstable; urgency=low

  * No longer throws an exception when updating messages with strange
    Date headers; will just set IMAP Internaldate to the current date.
    Closes: #153425.
  * No longer doubles-up reference names for mailboxes.  Closes: #153515.
  * Noted new bug-tracking system in manual and rebuilt manual files.
  * Now stores incoming messages in 'cur' instead of 'new' if they have
    the S flag.  Closes: #152482.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 21 Jul 2002 13:46:13 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: offlineimap
 Architecture: all
 Depends: python2.2
+Suggests: python2.2-tk
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflimeIMAP, you can:

=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 #	dh_installmime
 	dh_installinit
 	dh_installcron
-	dh_installman
+	dh_installman offlineimap.1
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs

## offlineimap 4.0.0

=== Makefile ===
--- 
+++ 
@@ -19,18 +19,28 @@
 clean:
 	-python2.2 setup.py clean --all
 	-rm -f `find . -name "*~"`
+	-rm -f `find . -name "*.tmp"`
+	-rm -f bin/offlineimapc
 	-rm -f `find . -name "*.pyc"`
 	-rm -f `find . -name "*.pygc"`
 	-rm -f `find . -name "*.class"`
 	-rm -f `find . -name "*.bak"`
 	-rm -f `find . -name ".cache*"`
+	-rm manpage.links
+	-rm manpage.refs
 	-find . -name auth -exec rm -vf {}/password {}/username \;
+	-svn cleanup
 
 changelog:
 	svn log -v > ChangeLog
 
-docs:
+doc:
+	docbook2man offlineimap.sgml
+	docbook2man offlineimap.sgml
+	docbook2html -u offlineimap.sgml
+	mv offlineimap.html manual.html
 	man -t -l offlineimap.1 > manual.ps
 	ps2pdf manual.ps
 	groff -Tascii -man offlineimap.1 | sed $$'s/.\b//g' > manual.txt
-	groff -Thtml -man offlineimap.1 > manual.html
+	-rm manpage.links manpage.refs
+

=== debian/changelog ===
offlineimap (4.0.0) unstable; urgency=low

  * Poof, this is 4.0.
  * Added UPGRADING file and UPGRADING instructions.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 18 Jul 2003 17:31:14 -0500

offlineimap (3.99.20) unstable; urgency=low

  * OfflineIMAP now moves messages between new and cur in Maildir when flags
    have changed on the server.
  * Applied patch from Joerg Wendland <joergland@debian.org> to use
    APPENDUID result from mail servers that provide it.  Closes: #198772.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 Jun 2003 07:28:33 -0500

offlineimap (3.99.19) unstable; urgency=low

  * Added a "force" option to imapserver/select to force a reloading of a
    folder.  Per [complete.org #67], when cachemessagelist() was called
    on an object that was cached from a previous run, it would not
    re-issue the select().

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 Jun 2003 07:04:53 -0500

offlineimap (3.99.18) unstable; urgency=low

  * Made a fix for Python2.3 compatibility.
  * Removed warning when thread debug is specified.  Closes: #195739.
  * New option -l to log debug info to a file without having it spew
    on-screen.
  * New debug type "thread".

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 May 2003 16:58:54 -0500

offlineimap (3.99.17) unstable; urgency=low

  * Fixed two potential obscure race conditions in folder/Maildir.py.
    + Condition 1 involved the gettimeseq() function.  This function
      accesses per-module variables but does not have a lock.  It may have
      been possible for this to have been called in such a way that timeseq
      was not properly updated.
    + Condition 2 involved the call to gettimeseq().  Since the timeseq is
      based on the system clock, we now use the time as reported inside
      timeseq() rather than outside.  This way, we can be assured that the
      same value is in use both places.
  * Added debug code to savemessage in folder/Maildir.py to try to track
    down a mysterious 0-length file bug.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  6 May 2003 07:25:38 -0500

offlineimap (3.99.16) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * When sep was /, the new Maildir support code would recursively try to 
    scan ., resulting in huge paths and an eventual crash.  Fixed with
    a one-line patch to Maildir.py.  Fixes [complete.org #60].
    Closes: #191318.
  * Added some significant debug code to folder/IMAP.py when saving a new
    message with APPEND.  This should make it easier to track down bugs both
    in OfflineIMAP and in mail servers that implement this poorly.
  * Fixed adding of X-OfflineIMAP header when the message starts out with
    no headers.  (This should not generally occur.)  This should help
    with some "invalid literal for long()" problems.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  6 May 2003 07:10:17 -0500

offlineimap (3.99.15) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Backed out removal of SYNC_WITH_TIMER_TERMINATE code to deal with
    completed syncs.  Without this code, -o broke because the app would
    never terminate.  Closes: #190063.
  * Raise an exception when the status area is locked.  This will cause UIs
    to go through their normal exception handling code.  In particular, for
    the Curses.Blinkenlights interface, the Curses module will be stopped
    and the error message will be printed on the console.  Previously, this
    error message would not have been visible.  Closes: #185709.
  * Fixed a silly error relating to handling of the remotepassfile.
    Closes: #189935.
  * Made OfflineIMAP IPv6-aware.  Used the short patch from
    Adriaan Peeters <apeeters@lashout.net> in Debian bug report 186636.
    Closes: #186636.
  * autorefresh may now be a floating-point value.  Closes: #190060.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Apr 2003 17:30:32 -0500

offlineimap (3.99.14) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Added the ability to use the top level of a Maildir as folder named
    ".".  Useful for generating Maildir trees for a Courier server.
  * Fixed the regular expression that fixes line endings to make sure to
    deal with \n\n properly.
  * Slight renaming in offlineimap.conf.minimal to clarify things.
  * Documentation updated with information about new features.
    Closes: #189771.
    + Described IMAP-IMAP syncing
    + Updated minimal example with new offlineimap.conf.minimal
    + Updated UID information.  Added link to recent mailing list
      discussion.
    + Described KMail syncing, which now works.
    + Added link to mailing list archives.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Apr 2003 07:13:23 -0500

offlineimap (3.99.13) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Fixed password prompting for non-Curses UIs.
  * Fixed line-ending code to deal with files with mixed \n and \r\n
    codes.  This is a rare case, but now is more onerous because we now
    have to find headers.
  * Now checks that SELECT succeeded when entering a folder.
  * Verifies that folders listed on folderincludes actually exist by trying
    to enter them.  Thus, if they do not exist, they can be created on the
    first run.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Apr 2003 18:02:13 -0500

offlineimap (3.99.12) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Big news: OfflineIMAP can now sync two remote IMAP servers to each
    other, with no need to write a Maildir at all.
  * WARNING: the format of the configuration file *AND* the local
    status area changes with this release!
  * Major reworking of internal management of accounts.  Previously, the
    account defined a local Maildir and a remote IMAP server.  Now, the


=== debian/control ===
Source: offlineimap
Section: mail
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python2.2 (>= 2.2.2), python2.2-dev (>= 2.2.2), groff, docbook-utils
Standards-Version: 3.5.2

Package: offlineimap
Architecture: all
Depends: python2.2
Suggests: python2.2-tk
Description: IMAP/Maildir synchronization and reader support
 OfflineIMAP is a tool to simplify your e-mail reading.  With
 OfflimeIMAP, you can:
 .
  * Read the same mailbox from multiple computers, and have your
    changes (deletions, etc.) be automatically reflected on
    all computers
 .
  * Use various mail clients to read a single mail box
 .
  * Read mail while offline (on a laptop) and have all changes
    synchronized when you get connected again
 .
  * Read IMAP mail with mail readers that do not support IMAP
 .
  * Use SSL (secure connections) to read IMAP mail even if your reader
    doesn't support SSL
 .
  * Synchronize your mail using a completely safe and fault-tolerant
    algorithm.  (At least I think it is!)
 .
  * Customize which mailboxes to synchronize with regular expressions
    or lists.
 .
  * Synchronize your mail two to four times faster than with other tools
    or other mail readers' internal IMAP support.
 .
 In short, OfflineIMAP is a tool to let you read mail how YOU want to.

=== debian/rules ===
--- 
+++ 
@@ -71,9 +71,7 @@
 	dh_testroot
 #	dh_installdebconf	
 	dh_installdocs
-	mv debian/$(PACKAGE)/usr/bin/$(PACKAGE).py \
-		debian/$(PACKAGE)/usr/bin/$(PACKAGE)
-	dh_installexamples offlineimap.conf
+	dh_installexamples offlineimap.conf offlineimap.conf.minimal
 	dh_installmenu
 #	dh_installlogrotate
 #	dh_installemacsen

## offlineimap 4.0.3

=== debian/changelog ===
offlineimap (4.0.3) unstable; urgency=low

  * Fixed version numbers to read 4.0.3.  Closes: #220536.
  * Switched defaults from Python 2.2 to Python 2.3.
    Closes: #237560, #239018.
  * Fixed description typo.  Closes: #211251.
  * Fixed nametrans example.  Closes: #252644.
  * Applied patch from Johannes Berg for mycmp example in manual.
    Closes: #252645.
  * Fixed typos in manual.  Closes: #252646.
  * Regenerated docs.
  * Applied patch from Daniel James to adjust the insertion point
    for a new header.
  * Now calls dh_python and build-deps on newer debhelper.
  * Updated copyright information.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  4 Jun 2004 07:10:00 -0500

offlineimap (4.0.2) unstable; urgency=low

  * Fixed missing definition of _display in Noninteractive.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 31 Oct 2003 15:18:05 -0600

offlineimap (4.0.1) unstable; urgency=low

  * Fixed a typo.  Closes: #201497.
  * Include UPGRADING in Debian package.  Closes: #208650.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 10 Oct 2003 23:21:38 -0500

## offlineimap 4.0.4

=== debian/changelog ===
offlineimap (4.0.4) unstable; urgency=low

  * Reverted the header insertion point patch applied in 4.0.3.  It
    has apparently caused header corruption.  Closes: #254261.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Jun 2004 04:41:36 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: mail
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python2.2 (>= 2.2.2), python2.2-dev (>= 2.2.2), groff, docbook-utils
+Build-Depends-Indep: debhelper (>> 4.2.0), python2.3, python2.3-dev (>= 2.2.2), groff, docbook-utils
 Standards-Version: 3.5.2
 
 Package: offlineimap
 Architecture: all
-Depends: python2.2
-Suggests: python2.2-tk
+Depends: python2.3
+Suggests: python2.3-tk
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
- OfflimeIMAP, you can:
+ OfflineIMAP, you can:
  .
   * Read the same mailbox from multiple computers, and have your
     changes (deletions, etc.) be automatically reflected on

## offlineimap 4.0.4ubuntu1

=== debian/changelog ===
offlineimap (4.0.4ubuntu1) warty; urgency=low

  * add missing build-depends: python

 -- LaMont Jones <lamont@mmjgroup.com>  Fri, 17 Sep 2004 16:53:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 4.2.0), python2.3, python2.3-dev (>= 2.2.2), groff, docbook-utils
+Build-Depends-Indep: debhelper (>> 4.2.0), python2.3, python2.3-dev (>= 2.2.2), groff, docbook-utils, python
 Standards-Version: 3.5.2
 
 Package: offlineimap

## offlineimap 4.0.6

=== debian/changelog ===
offlineimap (4.0.6) unstable; urgency=low

  * Corrected check for Curses.Blinkenlights hotkey press.  Closes: #256336.
  * Added version to generated header.  Closes: #257893.
  * Fixed warn() in Tk (reported by Martin Pool).
  * Added Windows documentation from Chris Walker to the FAQ.
  * Added Build-Conflicts for docbook-ebnf; it can mess up the doc
    building.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Jul 2004 10:04:06 -0500

offlineimap (4.0.5) unstable; urgency=low

  * Added python to build-deps.  Closes: #259118.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Jul 2004 10:20:59 -0500

## offlineimap 4.0.8

=== debian/changelog ===
offlineimap (4.0.8) unstable; urgency=low

  * Added code to limit number of messages that get their flags set at
    once.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 Nov 2004 10:43:11 -0600

offlineimap (4.0.7) unstable; urgency=low

  * Added additional debug logging when downloading messages in an attempt to
    get the info needed to address #199452.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  1 Aug 2004 16:48:15 -0500

## offlineimap 4.0.9

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 SHELL=/bin/bash
 
 clean:
-	-python2.2 setup.py clean --all
+	-python2.3 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.tmp"`
 	-rm -f bin/offlineimapc
@@ -32,7 +32,7 @@
 	-svn cleanup
 
 changelog:
-	svn log -v > ChangeLog
+	svn log -v --stop-on-copy > ChangeLog
 
 doc:
 	docbook2man offlineimap.sgml

=== debian/changelog ===
offlineimap (4.0.9) unstable; urgency=low

  * Removed dep on profile.py due to DFSG-free issues with it.
    Closes: #294479.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  9 Feb 2005 16:34:50 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 4.2.0), python2.3, python2.3-dev (>= 2.2.2), groff, docbook-utils, python
+Build-Depends-Indep: debhelper (>> 4.2.0), python2.3, python2.3-dev (>= 2.2.2), groff, docbook-utils, python (>= 2.3), python-dev (>= 2.3)
+Build-Conflicts-Indep: docbook-ebnf
 Standards-Version: 3.5.2
 
 Package: offlineimap

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.2
+PYTHON=python2.3
 PACKAGE=offlineimap
 
 
@@ -87,9 +87,10 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+#	dh_perl
+	dh_python
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## offlineimap 4.0.9ubuntu1

=== debian/changelog ===
offlineimap (4.0.9ubuntu1) hoary; urgency=low

  * Rebuilt for python transition
  * Depends: updated to ${python:Depends}
  * Bumped Standards version to 3.6.1

 -- Niall Sheridan <niall@frogstomp.com>  Wed, 23 Feb 2005 21:58:28 +0000

## offlineimap 4.0.10ubuntu1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 SHELL=/bin/bash
 
 clean:
-	-python2.3 setup.py clean --all
+	-python2.4 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.tmp"`
 	-rm -f bin/offlineimapc

=== debian/changelog ===
offlineimap (4.0.10ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Sponsored for Sebastian Droege (buc: #11215)

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 23 Jul 2005 19:26:17 +0200

offlineimap (4.0.10) unstable; urgency=low

  * Support IPv6 with SSL.  Closes: #309965.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 May 2005 13:10:21 -0500

## offlineimap 4.0.11

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 SHELL=/bin/bash
 
 clean:
-	-python2.4 setup.py clean --all
+	-python2.3 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.tmp"`
 	-rm -f bin/offlineimapc
@@ -29,10 +29,6 @@
 	-rm manpage.links
 	-rm manpage.refs
 	-find . -name auth -exec rm -vf {}/password {}/username \;
-	-svn cleanup
-
-changelog:
-	svn log -v --stop-on-copy > ChangeLog
 
 doc:
 	docbook2man offlineimap.sgml

=== debian/changelog ===
offlineimap (4.0.11) unstable; urgency=low

  * Apply patch from Nikita V. Youshchenko to improve performance with
    large folders.  Closes: #319117.
  * Apply patch from Nikita V. Youshchenko to fix handling of invalid
    Date: headers that contain extremely large integral values.
    Closes: #324827.
  * s/foldertrans/nametrans/ in docs.  Closes: #314429.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Aug 2005 06:06:24 -0500

## offlineimap 4.0.11ubuntu1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 SHELL=/bin/bash
 
 clean:
-	-python2.3 setup.py clean --all
+	-python2.4 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.tmp"`
 	-rm -f bin/offlineimapc

=== debian/changelog ===
offlineimap (4.0.11ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Steve Kowalik <stevenk@debian.org>  Thu, 24 Nov 2005 00:28:32 +1100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: mail
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 4.2.0), python2.3, python2.3-dev (>= 2.2.2), groff, docbook-utils, python (>= 2.3), python-dev (>= 2.3)
+Build-Depends-Indep: debhelper (>> 4.2.0), python2.4, python2.4-dev, groff, docbook-utils
 Build-Conflicts-Indep: docbook-ebnf
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1
 
 Package: offlineimap
 Architecture: all
-Depends: python2.3
-Suggests: python2.3-tk
+Depends: ${python:Depends}
+Suggests: python2.4-tk
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.3
+PYTHON=python2.4
 PACKAGE=offlineimap

## offlineimap 4.0.14

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,14 @@
 #
 #    You should have received a copy of the GNU General Public License
 #    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+VERSION=4.0.13
+TARGZ=offlineimap_$(VERSION).tar.gz
 SHELL=/bin/bash
 
 clean:
-	-python2.4 setup.py clean --all
+	-python2.3 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.tmp"`
 	-rm -f bin/offlineimapc
@@ -40,3 +43,13 @@
 	groff -Tascii -man offlineimap.1 | sed $$'s/.\b//g' > manual.txt
 	-rm manpage.links manpage.refs
 
+targz: ../$(TARGZ)
+../$(TARGZ):
+	if ! pwd | grep -q "/offlineimap-$(VERSION)$$"; then 			\
+	  echo "Containing directory must be called offlineimap-$(VERSION)"; 	\
+	  exit 1; 								\
+	fi; 									\
+	pwd && cd .. && pwd && tar -zhcv --exclude '_darcs' -f $(TARGZ) offlineimap-$(VERSION)
+
+rpm: targz
+	cd .. && sudo rpmbuild -ta $(TARGZ)

=== debian/changelog ===
offlineimap (4.0.14) unstable; urgency=low

  * ACK NMU 4.0.13-0.1.  Thanks, Pierre.  Closes: #380880.
  * Update 33 more instances of the old FSF address.
  * Fix off-by-one in example config file.  Closes: #342450.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Aug 2006 18:06:27 -0500

offlineimap (4.0.13-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380880):
    + only build for python current (use python-dev).
    + use dh_pysupport.
  * Bump Standards-Version to 3.7.2.
  * Bump DH_COMPAT to 4.
  * Move debhelper into Build-Depends.
  * Fix old FSF address.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 11 Aug 2006 19:05:06 +0200

offlineimap (4.0.13) unstable; urgency=low

  * Revert restoreatime patch; it didn't work with IMAP on local.
    Closes: #365933.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 May 2006 07:36:23 -0500

offlineimap (4.0.12) unstable; urgency=low

  * Apply patch from Ben Kibbey to support new restoreatime feature.
  * Workaround for a bug in Exchange win which it doesn't like
    folders with an asterisk in their name.
  * Apply patch from Adam Spiers to remove parens in SEARCH command.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 01 May 2006 04:42:11 -0500

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,9 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
-PYTHON=python2.4
+PYTHON=python
 PACKAGE=offlineimap
 
 
@@ -88,7 +88,7 @@
 	dh_compress
 	dh_fixperms
 #	dh_perl
-	dh_python
+	dh_pysupport
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps

## offlineimap 4.0.16

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2002 John Goerzen
+# Copyright (C) 2002 - 2006 John Goerzen
 # <jgoerzen@complete.org>
 #
 #    This program is free software; you can redistribute it and/or modify
@@ -15,7 +15,7 @@
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
-VERSION=4.0.13
+VERSION=4.0.16
 TARGZ=offlineimap_$(VERSION).tar.gz
 SHELL=/bin/bash
 
@@ -29,11 +29,10 @@
 	-rm -f `find . -name "*.class"`
 	-rm -f `find . -name "*.bak"`
 	-rm -f `find . -name ".cache*"`
-	-rm manpage.links
-	-rm manpage.refs
+	-rm -f manpage.links manpage.refs
 	-find . -name auth -exec rm -vf {}/password {}/username \;
 
-doc:
+doc: faq
 	docbook2man offlineimap.sgml
 	docbook2man offlineimap.sgml
 	docbook2html -u offlineimap.sgml
@@ -41,7 +40,10 @@
 	man -t -l offlineimap.1 > manual.ps
 	ps2pdf manual.ps
 	groff -Tascii -man offlineimap.1 | sed $$'s/.\b//g' > manual.txt
-	-rm manpage.links manpage.refs
+	-rm manpage.links manpage.refs manual.ps
+
+faq:
+	curl -o FAQ.html http://software.complete.org/offlineimap/wiki/FrequentlyAskedQuestions
 
 targz: ../$(TARGZ)
 ../$(TARGZ):

=== debian/changelog ===
offlineimap (4.0.16) unstable; urgency=low

  * Apply patches from Danial Burrows to improve situation when
    errors occur.  Closes: #162672.
  * Fixed a bug that could cause OfflineIMAP to crash when copying
    a message from a remote server that didn't have an
    INTERNALDATE.  Closes: #401290.
  * Part of the FAQ from the manual has been moved to the OfflineIMAP
    wiki at http://software.complete.org/offlineimap.
    New file FAQ.html is a dump of that page.
  * Corrected outdated bug reporting info in the manual.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  2 Dec 2006 09:08:14 -0600

offlineimap (4.0.15) unstable; urgency=low

  * Applied patch from Aaron Schrab to sync INTERNALDATEs.
    As a nice side-effect, this should finally resolve the problem
    with bad dates on spams.  Closes: #299174.
  * Noted new homepage at http://software.complete.org/offlineimap/
  * Updated copyright dates

 -- John Goerzen <jgoerzen@complete.org>  Wed, 29 Nov 2006 21:52:26 -0600

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: mail
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 4.2.0), python2.4, python2.4-dev, groff, docbook-utils
+Build-Depends: debhelper (>> 4.2.0)
+Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0)
 Build-Conflicts-Indep: docbook-ebnf
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: offlineimap
 Architecture: all
 Depends: ${python:Depends}
-Suggests: python2.4-tk
+Suggests: python-tk
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:

## offlineimap 5.99.4

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SHELL=/bin/bash
 
 clean:
-	-python2.3 setup.py clean --all
+	-python setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.tmp"`
 	-rm -f bin/offlineimapc
@@ -31,8 +31,9 @@
 	-rm -f `find . -name ".cache*"`
 	-rm -f manpage.links manpage.refs
 	-find . -name auth -exec rm -vf {}/password {}/username \;
+	-rm -f manual.html manual.pdf manual.txt offlineimap.1
 
-doc: faq
+doc: 
 	docbook2man offlineimap.sgml
 	docbook2man offlineimap.sgml
 	docbook2html -u offlineimap.sgml

=== debian/changelog ===
offlineimap (5.99.4) unstable; urgency=low

  * Undo 'Fix Maildir race' patch.  It was causes spinning.
    Closes: #447217, #447226.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Oct 2007 06:31:09 -0500

offlineimap (5.99.3) unstable; urgency=low

  * Fix a potential Maildir race.  Thanks to Martin F. Krafft for the
    patch.  Closes: #439384.
  * SGML syntax fix.
  * Patches from Daniel Jacobowitz:
    + New -q (quick) option to only update folders that seem to have
      significant changes
    + Fix to UID validity problems some had reported with Courier
    + Maildir checking speedups
    + Display fixes for Curses.Blinkenlights
  * Fixed locked( )for noninteractive UIs.  Thanks to Mark A. Hershberger
    for the patch.
  * Configurable thread status character for ui.Curses.Blinkenlights.
    Thanks to aaron@schrab.com for the patch.
  * Documented remotehosteval.  Thanks to Ben Kibbey.
  * [debian] Added build-dep on man-db.  Closes: #433739.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Oct 2007 14:03:39 -0500

offlineimap (5.99.2) unstable; urgency=low

  * Add build-dep on gs.  Closes: #433739.
  * Additional date check.  Closes: #396443.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 Jul 2007 05:27:05 -0500

offlineimap (5.99.1) unstable; urgency=low

  * Remove suggestion on python-tk.  Closes: #432843.
  * Fix non-SSL connection bug introduced in 5.99.0.
    Thanks to Eloy Paris for pinpointing it.  Closes: #432727.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 01:03:08 -0500

offlineimap (5.99.0) unstable; urgency=low

  * Re-scan remote folder names at the start of each sync run.
    Closes: #329000, #396772.
  * Drop internal imaplib.py in favor of default Python one.
  * New user interface: Machine.MachineUI.  Machine-parsable.
  * Drop all the Tk interfaces.
    Closes: #265088.
  * Now supports specifying timeouts for socket operations.
  * Updated copyright files.
  * Improved interaction with Dovecot maildirs.  Patch thanks to Asheesh
    Laroia.
  * Improved filesystem syncing semantics, which should reduce duplication
    in the event of hardware failure.
  * UID validity diagnostics improvement.  Patch from David Favro.
  * No longer leave preauthtunnel zombies with autorefresh.
    Patch from Peter Colberg.  Closes: #410730.
  * --help now shows available UIs.  Patch from Daniel Rall.
  * Check all resolved addresses.  Patch from Mark Brown.  Closes: #413030.
  * Removed todo directory from tree, moved to BTS.
  * New PID file to enable third-party "kill offlineimap" tools.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 10 Jul 2007 04:10:26 -0500

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>> 4.2.0)
-Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0)
+Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, gs, man-db
 Build-Conflicts-Indep: docbook-ebnf
 Standards-Version: 3.7.2
 
 Package: offlineimap
 Architecture: all
 Depends: ${python:Depends}
-Suggests: python-tk
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 
 	# Add here commands to compile the package.
 	$(PYTHON) setup.py build
+	make doc
 	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1
 
 	touch build-stamp

## offlineimap 5.99.8~bpo40%2B1

=== debian/changelog ===
offlineimap (5.99.8~bpo40+1) etch-backports; urgency=low

  * Rebuilt for etch.
  * Reduced debhelper level to 5; no other changes.

 -- martin f. krafft <madduck@debian.org>  Sun, 30 Mar 2008 11:01:49 +0200

offlineimap (5.99.8) unstable; urgency=low

  * Added Kerberos support patch from Eric Dorland.  Closes: #359213.
  * Don't crash if LocalStatus file doesn't exist yet.  Closes: #470174.
  * Fix gmail driver crashing bug.  Closes: #469598.
  * Thanks to Martin F. Krafft for the below changes:
    + Bump Standards-Version to 3.7.3 — no changes required.
    + Bump debhelper compatibility level to 6 — no changes required.
    + Fix clean target in debian/rules to allow for proper failure handling.
    + Remove second docbook-utils build dependency.
    + Remove empty /usr/sbin directory from package.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 09 Mar 2008 20:35:04 -0500

offlineimap (5.99.7) unstable; urgency=low

  * Revert more read-only patches.  Closes: #469244.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 04 Mar 2008 08:17:55 -0600

offlineimap (5.99.6) unstable; urgency=low

  * Revert read-only patch that was causing OfflineIMAP to crash for people.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 03 Mar 2008 21:41:18 -0600

offlineimap (5.99.5) unstable; urgency=low

  * When a local folder is deleted, but the OfflineIMAP status cache
    is not cleared, do not delete all mail in that folder on the
    remote.  Closes: #459985.
  * Apply SSL performance enhancement, working around severe
    inefficiencies in Python's imaplib.py.  This workaround was lost
    in 5.99.0 when the locally-hacked imaplib.py was removed.  Thanks
    to Aaron Kaplan for help isolating the problem.
  * Added special support for GMail.  Patch from Riccardo Murri.
  * Added option 'f' for syncing only selected folders.  Patch from
    Riccardo Murri.
  * Added option -k for overriding config options.  Patch from
    Riccardo Murri.
  * Fix read-only detection behavior when changing flags.  Patch from
    Florian Friesdorf.
  * Added support for username/password in a netrc file.  Patch from
    bboisin in OfflineIMAP #14.
  * Fix handling of servers that return UIDs in some, but not all,
    responses to FETCH.  OfflineIMAP bug #22.  Patch by pistore.
  * Fix typo in manual.  Closes: #360365.
  * Added Homepage, VCS-* lines to debian/control.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 03 Mar 2008 12:47:46 -0600

## offlineimap 5.99.8~bpo40+1

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>> 4.2.0)
-Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, gs, man-db
+Build-Depends: debhelper (>> 5)
+Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, xpdf-utils, gs, man-db
 Build-Conflicts-Indep: docbook-ebnf
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
+Homepage: http://software.complete.org/offlineimap
+Vcs-Browser: http://git.complete.org/offlineimap
+Vcs-Git: git://git.complete.org/offlineimap
 
 Package: offlineimap
 Architecture: all
 Depends: ${python:Depends}
+Suggests: python-kerberos
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:
